[FEATURE] EM: Choose version for update 30/38030/3
authorNicole Cordes <typo3@cordes.co>
Mon, 23 Mar 2015 10:02:05 +0000 (11:02 +0100)
committerHelmut Hummel <helmut.hummel@typo3.org>
Mon, 23 Mar 2015 20:38:35 +0000 (21:38 +0100)
commita26396a4530b530744ec8b36c5fb5606789a6739
treea009df7c9514f19c6dafe6360234d541240f4771
parent406151c532aed33db884d65bfc644dd70f467dfd
[FEATURE] EM: Choose version for update

If you update an extension, currently always the latest version is
installed. Due to compatibility issues this isn't always the right
solution. This patch adds the possibility to choose the version which
should be installed from the confirmation modal.

Resolves: #60070
Releases: master
Change-Id: Ie19ad2e59aa577092c300ed8592386eaad514809
Reviewed-on: http://review.typo3.org/38030
Reviewed-by: Jan Helke <typo3@helke.de>
Tested-by: Jan Helke <typo3@helke.de>
Reviewed-by: Andreas Fernandez <andreas.fernandez@aspedia.de>
Tested-by: Andreas Fernandez <andreas.fernandez@aspedia.de>
Reviewed-by: Helmut Hummel <helmut.hummel@typo3.org>
Tested-by: Helmut Hummel <helmut.hummel@typo3.org>
typo3/sysext/extensionmanager/Classes/Controller/DownloadController.php
typo3/sysext/extensionmanager/Resources/Public/JavaScript/Main.js